Author Topic: upgrade is broken, I need /lib/live/boot contents  (Read 834 times)

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
upgrade is broken, I need /lib/live/boot contents
« on: July 09, 2015, 09:58:30 pm »
after following instructions regarding ddm
my
/lib/live/boot
directory is gone.
now updates are broken

anyone have a gz of the directory I can have?
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: upgrade is broken, I need /lib/live/boot contents
« Reply #1 on: July 10, 2015, 12:22:24 am »
As I told you here:
http://sparkylinux.org/forum/index.php/topic,3158.msg6618.html#msg6618
reinstall or remove and install live scripts packages:
live-boot
live-config

If any problem with that, download them from Debian's repo and install manually:
https://packages.debian.org/stretch/all/live-boot/download
https://packages.debian.org/stretch/all/live-config/download
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade is broken, I need /lib/live/boot contents
« Reply #2 on: July 11, 2015, 03:24:41 am »
nothing can be installed since /lib/live is gone!
that is the elephant in the room.

once an element is no longer found
initramfs
can not be be generated.

This is a serious issue.

As a friend of this distro Issues like this need to be taken seriously!
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: upgrade is broken, I need /lib/live/boot contents
« Reply #3 on: July 11, 2015, 08:31:48 pm »
Galen, you have two live-scripts packages broken only.
Download them as I said before from:
https://packages.debian.org/stretch/all/live-boot/download
https://packages.debian.org/stretch/all/live-config/download
and install it using dpkg:
Code: [Select]
sudo dpkg -i live-boot live-configThe operation will overwrite 2 broken packages via the new ones.
Then refresh package list, if still any problem show me the output.
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade is broken, I need /lib/live/boot contents
« Reply #4 on: July 12, 2015, 02:35:24 am »
Code: [Select]
sudo dpkg -i live-boot live-config
dpkg: error processing archive live-boot (--install):
 cannot access archive: No such file or directory
dpkg: error processing archive live-config (--install):
 cannot access archive: No such file or directory
Errors were encountered while processing:
 live-boot
 live-config
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: upgrade is broken, I need /lib/live/boot contents
« Reply #5 on: July 12, 2015, 01:33:24 pm »
You have to:
1. Download the 2 deb files: live-boot and live-config
2. Enter to the download directory. If your download directory is /home/galen/Download, do:
Code: [Select]
cd /home/galen/DownloadIf the download directory is different, use the right patch.
3. When you will be in the download directory and the command:
Code: [Select]
lswill show that the 2 debs are inside, then install them:
Code: [Select]
sudo dpkg -i live-boot live-config
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade is broken, I need /lib/live/boot contents
« Reply #6 on: July 14, 2015, 07:34:21 pm »
fixed, thank you
XMPP: galen@jabber.org
PGP/GPG: C938FD97